Google 会使用 AI 技术将内容翻译成您偏好的语言。AI 翻译可能包含错误。
发送反馈
Method: projects.locations.backupCollections.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
列出指定位置(区域)或所有位置中由使用方项目拥有的所有备份集合。
如果将 locationId 指定为 -(通配符),则会查询项目可用的所有区域,并汇总结果。
HTTP 请求
选择端点 :
全局 africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me_west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8
GET https://memorystore.googleapis.com/v1alpha/{parent=projects/*/locations/*}/backupCollections
网址使用 gRPC 转码 语法。
路径参数
参数
parent
string
必需。backupCollection 位置的资源名称,格式为:projects/{projectId}/locations/{locationId},其中 locationId 是指 Google Cloud 区域。
查询参数
参数
pageSize
integer
可选。需要返回的最大项数。
如果未指定,则服务将使用默认值 1000。无论 pageSize 值如何,响应都可以包含部分列表,并且调用方应该只依赖于响应的 nextPageToken 来确定是否还有更多集群需要查询。
pageToken
string
可选。从上一个 backupCollections.list 请求返回的 nextPageToken 值(如果有)。
响应正文
对 backupCollections.list 的响应。
如果成功,响应正文将包含结构如下的数据:
JSON 表示法
{
"backupCollections" : [
{
object (BackupCollection )
}
] ,
"nextPageToken" : string ,
"unreachable" : [
string
]
}
字段
backupCollections[]
object (BackupCollection )
项目中的 backupCollections 列表。
如果请求的父字段中的 locationId 为“-”,则会查询项目可用的所有区域,并汇总结果。如果在此类汇总查询中某个位置不可用,则响应中会包含一个占位符 backupCollection 条目,其中 name 字段设置为 projects/{projectId}/locations/{locationId}/backupCollections/ 形式的值,status 字段设置为 ERROR,statusMessage 字段设置为“location not available for backupCollections.list”。
nextPageToken
string
用于检索下一页结果的令牌。如果列表中没有更多结果,则为空。
unreachable[]
string
无法到达的位置。
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/memorystore.read-write
https://www.googleapis.com/auth/memorystore.read-only
IAM 权限
需要拥有 parent 资源的以下 IAM 权限:
memorystore.backupCollections.list
如需了解详情,请参阅 IAM 文档 。
发送反馈
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可 获得了许可,并且代码示例已根据 Apache 2.0 许可 获得了许可。有关详情,请参阅 Google 开发者网站政策 。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-09-28。
需要向我们提供更多信息?
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-09-28。"],[],[]]